Bug 462366 - Laptop hangs during hardware initialisation
Laptop hangs during hardware initialisation
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-09-15 13:39 EDT by Luke
Modified: 2009-07-14 10:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 10:22:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Luke 2008-09-15 13:39:04 EDT
Description of problem:
The computer hangs at boot time before the daemons initialise (during hardware detection?).  I am left with a screen that says "Yenta Cardbus...." or the name of some other piece of hardware (consistent within kernel versions but changes from version to version).  The hard drive light is on, which makes it even more upsetting that I have to force a reboot.  I worry this is damaging my laptop.
This is a "show stopper!"

Version-Release number of selected component (if applicable):
and the previous one (but not beyond that)

How reproducible:
For kernel 2.6.26, reproducible at each attempt at booting (that is, if the next kernel release continues this way my laptop will only be good for making frowny faces at).  For 2.6.25, the problem occurs randomly at boot time, which means I can "fix" it by rebooting.  Sometimes this takes four or five tries, which is unacceptable.

Steps to Reproduce:
1. Boot the computer
2. Maybe it will hang, maybe not?
Actual results:
A screen full of information about my hardware and not a running system.

Expected results:
A running system.

Additional info:
I am running two desktops with nearly identical packages and configurations.  They do not hang at boot time (or ever).  Therefore, I believe this to be a problem with the way the kernel understands my laptop's hardware.  I will provide specs and additional info if requested by email.
Comment 1 Chuck Ebbert 2008-09-19 18:14:53 EDT
Can you make a change to /etc/grub.conf and boot the system and take a picture of the screen when it freezes? Replace "rhgb quiet" at the end of the line for the kernel you are booting with "initcall_debug ignore_loglevel". Take a picture with a digital camera and attach it to this bug report.
Comment 2 Luke 2008-09-20 21:10:50 EDT
Hi, Chuck.  Thanks for looking into this.

It seems to me to be a case of magic/more magic.  When I removed the "root=UUID=..." line from grub.conf even the "worst" kernel booted flawlessly.  I do not understand why.  

I normally boot without RHGB and have had the quiet flag off since the bug started so that I can tell the difference between a slower boot time and a freeze.  I misplaced the initcall_debug because both these points of reference were missing and thus stumbled on this ugly workaround.  I have the pictures if you still want them, but it looks like the problem is with the way the new kernel packages edit grub.conf and not with the kernels themselves.

It's not logical, captain.
Comment 3 Bug Zapper 2009-06-09 22:43:16 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 4 Bug Zapper 2009-07-14 10:22:09 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.